#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		minuet
Summary:	minuet
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	4ae52188671183d72a2726bd47e97571
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel
BuildRequires:	Qt5Quick-controls2-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Widgets-devel >= 5.11.1
BuildRequires:	fluidsynth-devel >= 1.1.6
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	%{name}-data = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Minuet is a free and open source software for music education. It aims
at supporting students and teachers in many aspects of music
education, such as ear training, first-sight reading, solfa, scales,
rhythm, harmony, and improvisation.

%description -l pl.UTF-8
Minuet jest wolnym i otwartoźródłowym oprogramowaniem do edukacji
muzycznej. Wspiera uczniów i nauczycieli w wielu aspektach nauki
muzyki, takich jak trening słuchu, czytania nut, solfeżu,
rytmu, harmonii i improwizacji.

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications/Games
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/minuet
%attr(755,root,root) %{_libdir}/libminuetinterfaces.so.0.3.0
%dir %{_libdir}/qt5/plugins/minuet
%attr(755,root,root) %{_libdir}/qt5/plugins/minuet/minuetfluidsynthsoundcontroller.so

%files data -f %{kaname}.lang
%defattr(644,root,root,755)
%{_desktopdir}/org.kde.minuet.desktop
%{_iconsdir}/hicolor/128x128/apps/minuet.png
%{_iconsdir}/hicolor/128x128/apps/minuet.svg
%{_iconsdir}/hicolor/16x16/actions/minuet-chords.svg
%{_iconsdir}/hicolor/16x16/actions/minuet-intervals.svg
%{_iconsdir}/hicolor/16x16/actions/minuet-rhythms.svg
%{_iconsdir}/hicolor/16x16/actions/minuet-scales.svg
%{_iconsdir}/hicolor/16x16/apps/minuet.png
%{_iconsdir}/hicolor/16x16/apps/minuet.svg
%{_iconsdir}/hicolor/22x22/actions/minuet-chords.svg
%{_iconsdir}/hicolor/22x22/actions/minuet-intervals.svg
%{_iconsdir}/hicolor/22x22/actions/minuet-rhythms.svg
%{_iconsdir}/hicolor/22x22/actions/minuet-scales.svg
%{_iconsdir}/hicolor/22x22/apps/minuet.png
%{_iconsdir}/hicolor/22x22/apps/minuet.svg
%{_iconsdir}/hicolor/32x32/apps/minuet.png
%{_iconsdir}/hicolor/32x32/apps/minuet.svg
%{_iconsdir}/hicolor/48x48/apps/minuet.png
%{_iconsdir}/hicolor/48x48/apps/minuet.svg
%{_iconsdir}/hicolor/64x64/apps/minuet.png
%{_iconsdir}/hicolor/64x64/apps/minuet.svg
%{_iconsdir}/hicolor/scalable/apps/minuet.svgz
%{_datadir}/metainfo/org.kde.minuet.appdata.xml
%{_datadir}/minuet

%files devel
%defattr(644,root,root,755)
%{_includedir}/minuet
%{_libdir}/libminuetinterfaces.so
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-minuet.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5d9a6ba
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a4cb68d
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 433f857
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6e3ed0a
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6378335
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> de0eb6f
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6e24fa5
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1587c03
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0f4b362
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9a152de
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3af48a3
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8902bc6
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f7ff4a9
- updated to 21.12.2

* Mon Jan 24 2022 Jan Rękorajski <baggins@pld-linux.org> 455a7b5
- Release 2 (by relup.sh)

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4274ae2
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e21670b
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5f647b2
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fbe1e50
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f0b5085
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 47f3861
- updated to 21.08.0

